Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::AnimationCompressor Class Reference

アニメーション圧縮 More...

`#include <AnimationCompressor.h>`

List of all members.

## Public Member Functions
| AnimationCompressor ()
| コンストラクタ
virtual | ~AnimationCompressor ()
| デストラクタ
virtual void | compress (Animation *animation)
| 圧縮
virtual void | setScaleTolerance (float scaleTolerance)
| スケール誤差の設定
virtual float | getScaleTolerance () const
| スケール誤差の取得
virtual void | setRotationTolerance (float rotationTolerance)
| 回転誤差の設定
virtual float | getRotationTolerance () const
| 回転誤差の取得
virtual void | setTranslationTolerance (float translationTolerance)
| 移動誤差の設定
virtual float | getTranslationTolerance () const
| 移動誤差の取得
## Protected Member Functions
virtual void | compressAnimation (Animation *animation)
| アニメーションの圧縮
virtual void | compressAnimationSet (AnimationSet *animation)
| アニメーションセットの圧縮
virtual void | compressCameraAnimation (CameraAnimation *animation)
| カメラアニメーションの圧縮
virtual void | compressSceneNodeAnimation (SceneNodeAnimation *animation)
| シーンノードアニメーションの圧縮
virtual void | compressCharacterModelAnimation (CharacterModelAnimation *animation)
| キャラクタモデルアニメーションの圧縮
virtual VectorInterpolator * | compressScale (VectorInterpolator *interpolator)
| スケールの圧縮
virtual RotationInterpolator * | compressRotation (RotationInterpolator *interpolator)
| 回転の圧縮
virtual VectorInterpolator * | compressTranslation (VectorInterpolator *interpolator)
| 移動の圧縮

## Detailed Description

アニメーション圧縮

Definition at line 44 of file AnimationCompressor.h.

## Member Function Documentation

void Lamp::AnimationCompressor::compress | ( | Animation * | animation | ) | `[virtual]`

  | 圧縮 Parameters:
  animation | 圧縮するアニメーション
Definition at line 56 of file AnimationCompressor.cpp. References compressAnimation(), and SafeDelete.

void Lamp::AnimationCompressor::compressAnimation | ( | Animation * | animation | ) | `[protected, virtual]`

  | アニメーションの圧縮 Parameters:
  animation | アニメーション
Definition at line 70 of file AnimationCompressor.cpp. References Assert, Lamp::Animation::castAnimationSet(), Lamp::Animation::castCameraAnimation(), Lamp::Animation::castCharacterModelAnimation(), Lamp::Animation::castSceneNodeAnimation(), compressAnimationSet(), compressCameraAnimation(), compressCharacterModelAnimation(), compressSceneNodeAnimation(), Lamp::Animation::isAnimationSet(), Lamp::Animation::isCameraAnimation(), Lamp::Animation::isCharacterModelAnimation(), and Lamp::Animation::isSceneNodeAnimation(). Referenced by compress(), and compressAnimationSet().

void Lamp::AnimationCompressor::compressAnimationSet | ( | AnimationSet * | animation | ) | `[protected, virtual]`

  | アニメーションセットの圧縮 Parameters:
  animation | アニメーションセット
Definition at line 84 of file AnimationCompressor.cpp. References Assert, compressAnimation(), Lamp::AnimationSet::getAnimation(), Lamp::AnimationSet::getAnimationCount(), and NULL. Referenced by compressAnimation().

void Lamp::AnimationCompressor::compressCameraAnimation | ( | CameraAnimation * | animation | ) | `[protected, virtual]`

  | カメラアニメーションの圧縮 Parameters:
  animation | カメラアニメーション
Definition at line 93 of file AnimationCompressor.cpp. References Assert, compressRotation(), compressTranslation(), Lamp::CameraAnimation::getCameraAnimationData(), Lamp::CameraAnimationData::getRotation(), Lamp::CameraAnimationData::getSequenceCount(), Lamp::CameraAnimationData::getTranslation(), NULL, Lamp::CameraAnimationData::setRotation(), and Lamp::CameraAnimationData::setTranslation(). Referenced by compressAnimation().

void Lamp::AnimationCompressor::compressCharacterModelAnimation | ( | CharacterModelAnimation * | animation | ) | `[protected, virtual]`

  | キャラクタモデルアニメーションの圧縮 Parameters:
  animation | キャラクタモデルアニメーション
Definition at line 117 of file AnimationCompressor.cpp. References Assert, compressRotation(), compressScale(), compressTranslation(), Lamp::CharacterModelAnimationData::getBoneCount(), Lamp::CharacterModelAnimation::getCharacterModelAnimationData(), Lamp::CharacterModelAnimationData::getRotation(), Lamp::CharacterModelAnimationData::getScale(), Lamp::CharacterModelAnimationData::getSequenceCount(), Lamp::CharacterModelAnimationData::getTranslation(), NULL, Lamp::CharacterModelAnimationData::setRotation(), Lamp::CharacterModelAnimationData::setScale(), and Lamp::CharacterModelAnimationData::setTranslation(). Referenced by compressAnimation().

RotationInterpolator * Lamp::AnimationCompressor::compressRotation | ( | RotationInterpolator * | interpolator | ) | `[protected, virtual]`

  | 回転の圧縮 Parameters:
  interpolator | 回転補間
Definition at line 150 of file AnimationCompressor.cpp. References Lamp::RotationInterpolator::castEulerArrayInterpolator(), Lamp::RotationInterpolator::castQuaternionArrayInterpolator(), Lamp::RotationInterpolationCompressor::compress(), Lamp::EulerArrayInterpolator::convertQuaternionArrayInterpolator(), Lamp::RotationInterpolator::duplicate(), and NULL. Referenced by compressCameraAnimation(), compressCharacterModelAnimation(), and compressSceneNodeAnimation().

VectorInterpolator * Lamp::AnimationCompressor::compressScale | ( | VectorInterpolator * | interpolator | ) | `[protected, virtual]`

  | スケールの圧縮 Parameters:
  interpolator | スケール補間
Definition at line 137 of file AnimationCompressor.cpp. References Lamp::VectorInterpolator::castVectorArrayInterpolator(), Lamp::VectorInterpolationCompressor::compress(), Lamp::VectorInterpolator::duplicate(), Lamp::VectorInterpolator::getBoundingBox(), Lamp::AxisAlignedBox::getSize(), Lamp::Vector3::maximumValue(), and NULL. Referenced by compressCharacterModelAnimation(), and compressSceneNodeAnimation().

void Lamp::AnimationCompressor::compressSceneNodeAnimation | ( | SceneNodeAnimation * | animation | ) | `[protected, virtual]`

  | シーンノードアニメーションの圧縮 Parameters:
  animation | シーンノードアニメーション
Definition at line 104 of file AnimationCompressor.cpp. References Assert, compressRotation(), compressScale(), compressTranslation(), Lamp::SceneNodeAnimationData::getRotation(), Lamp::SceneNodeAnimationData::getScale(), Lamp::SceneNodeAnimation::getSceneNodeAnimationData(), Lamp::SceneNodeAnimationData::getSequenceCount(), Lamp::SceneNodeAnimationData::getTranslation(), NULL, Lamp::SceneNodeAnimationData::setRotation(), Lamp::SceneNodeAnimationData::setScale(), and Lamp::SceneNodeAnimationData::setTranslation(). Referenced by compressAnimation().

VectorInterpolator * Lamp::AnimationCompressor::compressTranslation | ( | VectorInterpolator * | interpolator | ) | `[protected, virtual]`

  | 移動の圧縮 Parameters:
  interpolator | 移動補間
Definition at line 167 of file AnimationCompressor.cpp. References Lamp::VectorInterpolator::castVectorArrayInterpolator(), Lamp::VectorInterpolationCompressor::compress(), Lamp::VectorInterpolator::duplicate(), and NULL. Referenced by compressCameraAnimation(), compressCharacterModelAnimation(), and compressSceneNodeAnimation().

virtual float Lamp::AnimationCompressor::getRotationTolerance | ( |  | ) | const`[inline, virtual]`

| 回転誤差の取得 Returns: 回転誤差 Definition at line 97 of file AnimationCompressor.h.

virtual float Lamp::AnimationCompressor::getScaleTolerance | ( |  | ) | const`[inline, virtual]`

| スケール誤差の取得 Returns: スケール誤差 Definition at line 81 of file AnimationCompressor.h.

virtual float Lamp::AnimationCompressor::getTranslationTolerance | ( |  | ) | const`[inline, virtual]`

| 移動誤差の取得 Returns: 移動誤差 Definition at line 115 of file AnimationCompressor.h.

virtual void Lamp::AnimationCompressor::setRotationTolerance | ( | float | rotationTolerance | ) | `[inline, virtual]`

  | 回転誤差の設定 Parameters:
  rotationTolerance | 回転誤差
Definition at line 88 of file AnimationCompressor.h. References Assert.

virtual void Lamp::AnimationCompressor::setScaleTolerance | ( | float | scaleTolerance | ) | `[inline, virtual]`

  | スケール誤差の設定 Parameters:
  scaleTolerance | スケール誤差
Definition at line 72 of file AnimationCompressor.h. References Assert.

virtual void Lamp::AnimationCompressor::setTranslationTolerance | ( | float | translationTolerance | ) | `[inline, virtual]`

  | 移動誤差の設定 Parameters:
  translationTolerance | 移動誤差
Definition at line 106 of file AnimationCompressor.h. References Assert.

The documentation for this class was generated from the following files:

- AnimationCompressor.h
- AnimationCompressor.cpp